## GtkColorButton GtkColorButton — A button to launch a color selection dialog |

## Functions

GtkWidget * | gtk_color_button_new ()
GtkWidget * | gtk_color_button_new_with_rgba ()
void | gtk_color_button_set_title ()
const gchar * | gtk_color_button_get_title ()

## Properties

GdkRGBA * | rgba | Read / Write
gboolean | show-editor | Read / Write
gchar * | title | Read / Write
gboolean | use-alpha | Read / Write

## Signals

void | color-set | Run First

## Types and Values

struct | GtkColorButton

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkColorButton

## Implemented Interfaces

GtkColorButton implements AtkImplementorIface, GtkBuildable and GtkColorChooser.

## Includes

    #include <gtk/gtk.h>

## Description

The GtkColorButton is a button which displays the currently selected color and allows to open a color selection dialog to change the color. It is suitable widget for selecting a color in a preference dialog.

### CSS nodes

GtkColorButton has a single CSS node with name button. To differentiate it from a plain GtkButton, it gets the .color style class.

## Functions

### gtk_color_button_new ()

    GtkWidget *
    gtk_color_button_new (void);

Creates a new color button.

This returns a widget in the form of a small button containing a swatch representing the current selected color. When the button is clicked, a color-selection dialog will open, allowing the user to select a color. The swatch will be updated to reflect the new color when the user finishes.

#### Returns

a new color button

Since: 2.4

### gtk_color_button_new_with_rgba ()

    GtkWidget *
    gtk_color_button_new_with_rgba (const GdkRGBA *rgba);

Creates a new color button.

#### Parameters

rgba | A GdkRGBA to set the current color with |

#### Returns

a new color button

Since: 3.0

### gtk_color_button_set_title ()

    void
    gtk_color_button_set_title (GtkColorButton *button,
                                const gchar *title);

Sets the title for the color selection dialog.

#### Parameters

button | a GtkColorButton |
title | String containing new window title |

Since: 2.4

### gtk_color_button_get_title ()

    const gchar *
    gtk_color_button_get_title (GtkColorButton *button);

Gets the title of the color selection dialog.

#### Parameters

button | a GtkColorButton |

#### Returns

An internal string, do not free the return value

Since: 2.4

## Types and Values

### struct GtkColorButton

    struct GtkColorButton;

## Property Details

### The `“rgba”` property

      “rgba”                     GdkRGBA *

The RGBA color.

Flags: Read / Write

Since: 3.0

### The `“show-editor”` property

      “show-editor”              gboolean

Set this property to `TRUE` to skip the palette in the dialog and go directly to the color editor.

This property should be used in cases where the palette in the editor would be redundant, such as when the color button is already part of a palette.

Flags: Read / Write

Default value: FALSE

Since: 3.20

### The `“title”` property

      “title”                    gchar *

The title of the color selection dialog

Flags: Read / Write

Default value: "Pick a Color"

Since: 2.4

### The `“use-alpha”` property

      “use-alpha”                gboolean

If this property is set to `TRUE`, the color swatch on the button is rendered against a checkerboard background to show its opacity and the opacity slider is displayed in the color selection dialog.

Flags: Read / Write

Default value: FALSE

Since: 2.4

## Signal Details

### The `“color-set”` signal

    void
    user_function (GtkColorButton *widget,
                   gpointer        user_data)

The ::color-set signal is emitted when the user selects a color. When handling this signal, use `gtk_color_button_get_rgba()` to find out which color was just selected.

Note that this signal is only emitted when the user changes the color. If you need to react to programmatic color changes as well, use the notify::color signal.

#### Parameters

widget | the object which received the signal. |
user_data | user data set when the signal handler was connected. |

Flags: Run First

Since: 2.4

## See Also

GtkColorSelectionDialog, GtkFontButton